from AbstractSongList import AbstractSongList
import gtk
    
class SearchResultList(AbstractSongList):
    """
    Represent the list of search results
    """
    
    def __init__(self, view):
        AbstractSongList.__init__(self, view)
    
    def create_model(self):
        # Model: Song, Title, Artist, Album, ID
        return gtk.ListStore(object, str, str, str, str)
    
    def append_song(self, song):
        self.get_model().append([
            song,
            song.get_title(),
            song.get_artist(),
            song.get_album(),
            song.get_id()
        ])
        
    def create_view(self):
        self.get_view().get_selection().set_mode(gtk.SELECTION_MULTIPLE)
        
        rendererText = gtk.CellRendererText()
        column = gtk.TreeViewColumn(_("Title"), rendererText, text = 1)
        column.set_resizable(True)
        column.set_max_width(300)
        self.get_view().append_column(column)

        rendererText = gtk.CellRendererText()
        column = gtk.TreeViewColumn(_("Artist"), rendererText, text = 2)
        column.set_resizable(True)
        self.get_view().append_column(column)

        rendererText = gtk.CellRendererText()
        column = gtk.TreeViewColumn(_("Album"), rendererText, text = 3)
        column.set_resizable(True)
        column.set_max_width(150)
        self.get_view().append_column(column)

        rendererText = gtk.CellRendererText()
        column = gtk.TreeViewColumn(_("SongID"), rendererText, text = 4)
        column.set_resizable(True)
        self.get_view().append_column(column)
